> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Bins

> Search bins for a inventory by bin name or any product identifier



## OpenAPI

````yaml /openapi/openapi_inventory.json post /commerce/inventory/v1/bin/searchInventory
openapi: 3.0.0
info:
  description: |-
    <div id="overview_INVENTORY">
                <h2>INVENTORY</h2>
                <p>Use the Inventory API to retrieve the inventory levels of requested products, refresh and adjust current
                    stock levels at fulfillment locations, and tag segmented inventory for different channels. When using tags for inventory segmentation, inventory records are separated into categories to identify
                    which portions of its
                    total quantity are intended for different channels, customer groups, fulfillment methods, or other
                    needs.
                    This allows for setting a percentage of the quantity that would be available for each category and
                    setting discrete units at the location level as available for each category. For example, tags could
                    define how much of each
                    inventory record is set aside for a certain sales channel: the Kibo storefront, Walmart, or Amazon. The
                    percentages of the
                    inventory allotted for each channel would add up to 100% - the Kibo storefront could have 80% of the
                    inventory, Amazon 10%, and Walmart 10%. For more information, see the <a href="/developer-guides/inventory">Inventory guides</a>.</p>
                <p>Use the <strong>Inventory</strong>, <strong>Inventory Allocation</strong>, and <strong>Modify Inventory</strong> resources to retrieve and update inventory levels.</p>  
                <p>Use the <strong>Inventory Job</strong> resource to retrieve information about your pending inventory update processing jobs.</p> 
                <p>Use the <strong>Inventory Tag</strong> and <strong>Tag Category</strong> resources to segment your inventory records.</p> 
            </div>
  title: Inventory
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/inventory/v1/bin/searchInventory:
    post:
      tags:
        - InventoryBin
      summary: Search Bins
      description: Search bins for a inventory by bin name or any product identifier
      parameters: []
      requestBody:
        $ref: '#/components/requestBodies/BinSearchRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BinSearchResponse'
          description: Success
        '400':
          description: Bad Request
components:
  requestBodies:
    BinSearchRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BinSearchRequest'
      description: Request to allocate inventory
      required: true
  schemas:
    BinSearchResponse:
      description: Bin Search Response Object
      properties:
        binQuantities:
          description: >-
            List of BinProductQuantities - bins with associated products and
            quantities
          items:
            $ref: '#/components/schemas/BinProductResponseQuantities'
          type: array
        messages:
          description: List of messages
          items:
            type: string
          type: array
        numResults:
          description: Number of results
          type: integer
        success:
          description: Flag for success
          type: boolean
      title: Bin Search Response
      type: object
    BinSearchRequest:
      description: Request needed for searching for bins
      properties:
        binName:
          description: Partial match of bin name
          type: string
        locationCode:
          description: Location Code
          title: location code
          type: string
        pageNum:
          description: which page to show
          type: integer
        pageSize:
          description: how many results to show per page
          type: integer
        product:
          $ref: '#/components/schemas/InventoryProduct'
        showNegativeInventory:
          description: Flag for showing negative inventory
          type: boolean
        sortAscending:
          description: Flag for sorting ascending
          type: boolean
        sortBy:
          description: index to sort results by
          type: string
        tags:
          $ref: '#/components/schemas/tags'
        userID:
          description: user id
          type: integer
      title: Bin Search Request
      type: object
    BinProductResponseQuantities:
      description: A response object for a bin and its associated products and quantities
      properties:
        binName:
          description: Name of the bin
          type: string
        products:
          description: List of ProductQuantities - Products with their associated quantity
          items:
            $ref: '#/components/schemas/ProductQuantityResponse'
          type: array
      title: Bin Product Response Quantities
      type: object
    InventoryProduct:
      description: Product within a bin
      properties:
        partNumber:
          description: Part Number
          type: string
        sku:
          description: SKU
          type: string
        upc:
          description: UPC
          type: string
      title: Product
      type: object
    tags:
      additionalProperties:
        type: string
      description: Associative Map of <String, String> for tagCategoryName => tagName
      type: object
    ProductQuantityResponse:
      description: A response object for a product and its associated quantity
      properties:
        allocated:
          description: Amount of product allocated
          type: integer
        auditID:
          description: Audit ID
          type: integer
        auditProductID:
          description: Audit Product ID
          type: integer
        available:
          description: Amount of product available
          type: integer
        binID:
          description: ID of associated bin
          type: integer
        binStatusID:
          description: Bin Status ID
          type: integer
        binTypeID:
          description: Bin Type ID
          type: integer
        floor:
          description: >-
            Absolute minimum quantity of this item that should be in stock at
            any time
          type: integer
        inventoryID:
          description: Inventory ID
          type: integer
        locationCode:
          description: Location Code of the owning location
          type: string
        ltd:
          description: Custom field used for store prioritization
          type: integer
        name:
          description: Name of the product
          type: string
        onHand:
          description: Amount of product on hand
          type: integer
        partNumber:
          description: Part Number
          type: string
        pending:
          description: Amount of product pending
          type: integer
        quantity:
          description: Quantity of product
          type: integer
        safetystock:
          description: >-
            Quantity of this item the location wants to keep in stock to ensure
            stock isn't completely depleted
          type: integer
        sku:
          description: SKU
          type: string
        tags:
          $ref: '#/components/schemas/taggedInventoryMap'
        tenantLocProductID:
          description: Tenant Location Product ID
          type: integer
        upc:
          description: UPC
          type: string
      title: Product Quantities Response
      type: object
    taggedInventoryMap:
      items:
        $ref: '#/components/schemas/InventoryTagQuantity'
      type: array
    InventoryTagQuantity:
      description: Response object for a tag quantity
      properties:
        allocated:
          description: >-
            The quantity the location has that are already allocated for this
            tag
          type: integer
        available:
          description: >-
            The quantity the location has that are available for purchase for
            this tag
          type: integer
        futureInventory:
          $ref: '#/components/schemas/futureInventoryArray'
        onHand:
          description: The quantity the the location has in its possession for this tag
          type: integer
        pending:
          description: The quantity the location has that are pending for this tag
          type: integer
        tags:
          $ref: '#/components/schemas/tags'
      title: Tag quantity response
      type: object
    futureInventoryArray:
      items:
        $ref: '#/components/schemas/InventoryFutureInventory'
      type: array
    InventoryFutureInventory:
      description: Future Inventory Model
      properties:
        allocated:
          description: >-
            Expected change in the actual allocated inventory value when this
            future inventory record is released.
          type: integer
        available:
          description: >-
            Expected change in the actual available inventory value when this
            future inventory record is released.
          type: integer
        createDate:
          description: Date the inventory was created.
          format: date-time
          type: string
        deliveryDate:
          description: >-
            Date at which this inventory will become available. Expected format
            '2020-09-28T12:00:00-0500'
          format: date-time
          type: string
        futureInventoryID:
          description: Future Inventory unique identifier.
          type: integer
        onhand:
          description: >-
            Expected change in the actual onhand inventory value when this
            future inventory record is released.
          type: integer
        pending:
          description: >-
            Number of new expected pending items that would be created by
            releasing this future inventory record assuming no actual inventory
            is available
          type: integer
        type:
          description: 'Type of future inventory update: REFRESH or ADJUST.'
          type: string
      title: Future Inventory
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````